@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="contentbar">
        @if(isset($all_countries))
        <div class="row">
            <div class="col-lg-12">
            <div class="card m-b-30">
                <div class="card-header">
                <h5 class="card-title mb-0">All Cities</h5>
                </div>
                <div class="card-body">
                <div class="table-responsive">
                    <table id="datatable-buttons" class="table table-borderless">
                    <thead>
                        <tr>
                        <th>Id</th>
                        <th>City </th>
                        <th>State </th>
                        <th>Country </th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $i = 1;  ?>
                        @foreach($all_countries as $key => $country)
                        @php
                        $iso3 = $country->country;
                        $country_name = DB::table('all_countries')->where('iso3',$iso3)->orderBy('id', 'DESC')->get();
                        @endphp
                        @foreach($country_name as $cname)
                        @php
                        $states = DB::table('all_states')->where('country_id',$cname->id)->orderBy('id', 'DESC')->get();
                        @endphp
                        @foreach($states as $state)
                        @php
                        $city = DB::table('all_cities')->where('state_id',$state->id)->orderBy('id', 'DESC')->get();
                        @endphp
                        @foreach($city as $citys)
                        <tr>
                        <td>{{$i++}}</td>
                        <td>{{$citys->name}}</td>
                        <td>{{$state->name}}</td>
                        <td>{{$cname->nicename}}</td>
                        </tr>
                        @endforeach
                        @endforeach
                        @endforeach
                        @endforeach
                    </tbody>
                    </table>
                </div>
                </div>
            </div>
            </div>
        </div>
        @endif
        </div>
    </div>
</div>
@endsection
