@if(isset($statementGate))
@can($statementGate)
    <a class="btn btn-xs btn-success" title="Statement" href="{{ url('admin/bank-statements?id='.$row->id) }}">
         <i class="la la-file-text"></i>
    </a>
@endcan
@endif
@can($viewGate)
    <a class="btn btn-xs btn-primary" title="Show" href="{{ route('admin.' . $crudRoutePart . '.show', $row->id) }}">
         <i class="la la-eye"></i>
    </a>
@endcan
@can($editGate)
    <a class="btn btn-xs btn-info" title="Edit" href="{{ route('admin.' . $crudRoutePart . '.edit', $row->id) }}">
        <i class="la la-edit"></i>
    </a>
@endcan
@can($deleteGate)
    <form action="{{ route('admin.' . $crudRoutePart . '.destroy', $row->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
        <input type="hidden" name="_method" value="DELETE">
        <input type="hidden" name="_token" value="{{ csrf_token() }}">
        <button type="submit" class="btn btn-xs btn-danger" title="Delete"><i class="la la-trash"></i></button>
    </form>
@endcan
