@extends('layouts.admin')
@section('content')
<!-- Page Wrapper -->
<div class="page-wrapper">
    <!-- Page Content -->
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="page-header">
            <div class="row">
                <div class="col-sm-12">
                    <h3 class="page-title">Welcome {{auth()->user()->name??''}}!</h3>
                    {{-- <h3 class="page-title">{{\App\Models\SiteRegister::where('id',session()->get('branch_id'))->first()->name}}</h3> --}}
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- /Page Header -->

        <div class="row">
            <!-- <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        <span class="dash-widget-icon"><i class="fa fa-users"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{$widgets['users']}}</h3>
                            <span>Users</span>
                        </div>
                    </div>
                </div>
            </div> -->
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        {{-- <span class="dash-widget-icon"><i class="fa fa-flash"></i></span> --}}
                        <span class="dash-widget-icon"><i class="fa fa-beer"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{$widgets['l_sale']}}</h3>
                            <span>Last Month Sale</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        {{-- <span class="dash-widget-icon"><i class="fa fa-flag-checkered"></i></span> --}}
                        <span class="dash-widget-icon"><i class="fa fa-gas-pump"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{$widgets['c_sale']}}</h3>
                            <span>Month Sale</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        {{-- <span class="dash-widget-icon"><i class="fa fa-money" aria-hidden="true"></i></span> --}}
                        <span class="dash-widget-icon"><i class="fa fa-money"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{number_format($widgets['sales'],2)}}</h3>
                            <span>Total Sales</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        {{-- <span class="dash-widget-icon"><i class="fa fa-bank"></i></span> --}}
                        <span class="dash-widget-icon"><i class="fa fa-bank"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{number_format($widgets['deposits'],2)}}</h3>
                            <span>Total Deposit</span>
                        </div>
                    </div>
                </div>
            </div>
            {{-- <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        <span class="dash-widget-icon"><i class="fa fa-money" aria-hidden="true"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{number_format($widgets['sales'],2)}}</h3>
                            <span>Total Sales</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        <span class="dash-widget-icon"><i class="fa fa-bank"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{number_format($widgets['deposits'],2)}}</h3>
                            <span>Total Deposit</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        <span class="dash-widget-icon"><i class="fa fa-user"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{$widgets['fueltypes']}}</h3>
                            <span>Fuel Types</span>
                        </div>
                    </div>
                </div>
            </div> --}}
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-6 text-center">
                        <div class="card">
                            <div class="card-body">
                                <h3 class="card-title">Total Revenue</h3>
                                <div id="bar-charts"></div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 text-center">
                        <div class="card">
                            <div class="card-body">
                                <h3 class="card-title">Sales Overview</h3>
                                <div id="line-charts"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            @php
                $branch = \App\Models\SiteRegister::all();
            @endphp
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-12">
                        <div class="card card-table flex-fill">
                            <div class="card-header">
                                <h3 class="card-title mb-0">{{ __('Today Report') }}</h3>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table custom-table table-nowrap mb-0 table-bordered">
                                        <thead>
                                            <tr>
                                                <th>{{ trans('cruds.siteReg.branch') }}</th>
                                                <th>{{ trans('cruds.report.shop_sale') }}</th>
                                                <th>{{ trans('cruds.report.fuel_sale') }}</th>
                                                <th>{{ trans('cruds.cashExpense.title') }}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @if(count($widgets['shop_sale']) == 0 )
                                                <tr>
                                                    <td colspan="4" class="text-center">Record not avilable</td>
                                                </tr>
                                            @else
                                                @foreach ($branch as $site )
                                                    <tr>
                                                        @php
                                                            $shop_sale_data = $widgets['shop_sale']->where('branch_id',$site->id)->first();
                                                            $fuel_sale_data = $widgets['fuel_sale']->where('branch_id',$site->id)->first();
                                                            $exp_data = $widgets['exp']->where('branch_id',$site->id)->first();
                                                        @endphp
                                                        <td>
                                                            {{$site->name ?? ''}}
                                                        </td>
                                                        <td>
                                                            {{$shop_sale_data != null ? number_format($shop_sale_data->total_amount,2) : ''}}
                                                        </td>
                                                        <td>
                                                            {{$fuel_sale_data != null ? number_format($fuel_sale_data->total_amount,2) : ''}}
                                                        </td>
                                                        <td>
                                                            {{$exp_data != null ? number_format($exp_data->total_amount,2) : ''}}
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            {{-- <div class="card-footer">
                                <a href="{{route('admin.cash-expenses.index')}}">View all expenses</a>
                            </div> --}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Page Content -->
</div>
<!-- /Page Wrapper -->
@section('scripts')
 <!-- Chart JS -->
 <script src="{{asset('plugins/morris/morris.min.js')}}"></script>
 <script src="{{asset('plugins/raphael/raphael.min.js')}}"></script>
 <script type="text/javascript"> var bar_data = <?php echo $data;?> ;var line_data = <?php echo $data2;?> ; </script>
 <script src="{{asset('js/chart.js')}}"></script>
@endsection
@endsection
