<?php

namespace App\Imports;

use App\Models\Pump;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class PumpImport implements ToModel,WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        return new Pump([
            'pump' => $row['pump'],
            'location' => $row['location']
        ]);
    }
}
