<?php

namespace App\Imports;

use App\Models\SpeedPoint;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class SpeedPointImport implements ToModel,WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        // dd($row['date']);
        return new SpeedPoint([
            'reconcilation_type' => $row['machine'],
            'date' => $row['date'],
            // 'shift_no' => $row['shift_no'],
            'batch_no' => $row['batch_no'],
            'seq_no' => $row['seq_no'],
            'amount' => $row['amount'],
            'branch_id' => session()->get('branch_id'),
            'bank_account_id' => $row['bank_account_id'],
        ]);
    }
}
