<?php

namespace App\Models;

use App\Traits\Auditable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class CurrencyInfo extends Model
{
    use HasFactory;
    use Auditable;
    use Notifiable;

    protected $guarded = [];

    public function all_currency()
    {
        return $this->belongsTo(\App\Models\Currency::class,'currency');
    }
}
