<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\Auditable;

class GeneralLedger extends Model
{
    use HasFactory;
    use Auditable;

    protected $guarded = [];

    public function subcategories()
    {
        return $this->belongsTo(\App\Models\FinancialCategory::class,'sub_category_id');
    }

    public function cashier()
    {
        return $this->belongsTo(\App\Models\Cashier::class,'cashier_id');
    }
}
