<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\Auditable;

class ShiftNo extends Model
{
    use HasFactory;
    use Auditable;
    use SoftDeletes;

    protected $guarded = [];

    public function account()
    {
        return $this->hasMany(\App\Models\Account::class,'shift_no');
    }

    public function speedPoint()
    {
        return $this->hasMany(\App\Models\SpeedPoint::class,'shift_no','id');
    }
}
