@extends('layouts.admin')
@section('content')
<!-- Page Wrapper -->
<div class="page-wrapper">
    <!-- Page Content -->
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="page-header">
            <div class="row">
                <div class="col-sm-12">
                    {{-- <h3 class="page-title">Welcome Admin!</h3> --}}
                    <h3 class="page-title">{{\App\Models\SiteRegister::where('id',session()->get('branch_id'))->first()->name}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- /Page Header -->

        <div class="row">
            <!-- <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        <span class="dash-widget-icon"><i class="fa fa-users"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{$widgets['users']}}</h3>
                            <span>Users</span>
                        </div>
                    </div>
                </div>
            </div> -->
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        {{-- <span class="dash-widget-icon"><i class="fa fa-flash"></i></span> --}}
                        <span class="dash-widget-icon"><i class="fa fa-beer"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{$widgets['l_sale']}}</h3>
                            <span>Last Month Sale</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        {{-- <span class="dash-widget-icon"><i class="fa fa-flag-checkered"></i></span> --}}
                        <span class="dash-widget-icon"><i class="fa fa-gas-pump"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{$widgets['c_sale']}}</h3>
                            <span>Month Sale</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        {{-- <span class="dash-widget-icon"><i class="fa fa-money" aria-hidden="true"></i></span> --}}
                        <span class="dash-widget-icon"><i class="fa fa-money"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{number_format($widgets['sales'],2)}}</h3>
                            <span>Total Sales</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        {{-- <span class="dash-widget-icon"><i class="fa fa-bank"></i></span> --}}
                        <span class="dash-widget-icon"><i class="fa fa-bank"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{number_format($widgets['deposits'],2)}}</h3>
                            <span>Total Deposit</span>
                        </div>
                    </div>
                </div>
            </div>
            {{-- <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        <span class="dash-widget-icon"><i class="fa fa-money" aria-hidden="true"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{number_format($widgets['sales'],2)}}</h3>
                            <span>Total Sales</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        <span class="dash-widget-icon"><i class="fa fa-bank"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{number_format($widgets['deposits'],2)}}</h3>
                            <span>Total Deposit</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
                <div class="card dash-widget">
                    <div class="card-body">
                        <span class="dash-widget-icon"><i class="fa fa-user"></i></span>
                        <div class="dash-widget-info">
                            <h3>{{$widgets['fueltypes']}}</h3>
                            <span>Fuel Types</span>
                        </div>
                    </div>
                </div>
            </div> --}}
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-6 text-center">
                        <div class="card">
                            <div class="card-body">
                                <h3 class="card-title">Total Revenue</h3>
                                <div id="bar-charts"></div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 text-center">
                        <div class="card">
                            <div class="card-body">
                                <h3 class="card-title">Sales Overview</h3>
                                <div id="line-charts"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-6">
                        <div class="card card-table flex-fill">
                            <div class="card-header">
                                <h3 class="card-title mb-0">{{ trans('cruds.cashExpense.title') }}</h3>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table custom-table table-nowrap mb-0">
                                        <thead>
                                            <tr>
                                                <th>{{ trans('cruds.cashExpense.fields.date') }}</th>
                                                <th>{{ trans('cruds.cashExpense.fields.invoice_no') }}</th>
                                                <th>{{ trans('cruds.cashExpense.fields.suplier') }}</th>
                                                <th>{{ trans('cruds.cashExpense.fields.bank_ac') }}</th>
                                                <th>{{ trans('cruds.cashExpense.fields.amount') }}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @if(count($widgets['exp']) == 0)
                                                <tr>
                                                    <td colspan="5" class="text-center">Record not avilable</td>
                                                </tr>
                                            @else
                                                @foreach ($widgets['exp'] as $ex )
                                                    <tr>
                                                        <td>{{date('d/m/Y',strtotime($ex->date))}}</td>
                                                        <td><a href="{{route('admin.cash-expenses.show',[$ex->id])}}">{{$ex->invoice_no}}</a></td>
                                                        <td>
                                                            <h2><a href="#">{{$ex->suplier->suplier ?? '' }}</a></h2>
                                                        </td>
                                                        <td>{{$ex->bankAccount ? $ex->bankAccount->title:''}}</td>
                                                        <td>{{number_format($ex->amount,2)}}</td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div class="card-footer">
                                <a href="{{route('admin.cash-expenses.index')}}">View all expenses</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Page Content -->
</div>
<!-- /Page Wrapper -->
@section('scripts')
 <!-- Chart JS -->
 <script src="{{asset('plugins/morris/morris.min.js')}}"></script>
 <script src="{{asset('plugins/raphael/raphael.min.js')}}"></script>
 <script type="text/javascript"> var bar_data = <?php echo $data;?> ;var line_data = <?php echo $data2;?> ; </script>
 <script src="{{asset('js/chart.js')}}"></script>
@endsection
@endsection
